Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class Direction

    java.lang.Object
      weblogic.security.spi.Direction

    public final class Direction

extends Object

The `Direction` class is used to represent when the authorization check is to be performed by an Access Decision (either before a resource is accessed or after access has been allowed). Instances are `ONCE`, `POST`, and `PRIOR`.

For example, if the `Direction` is `PRIOR` and the resource is a directory, the Access Decision might allow access. If the `Direction` is `POST`, the Access Decision might want to check what is being returned (that is, a particular file might be returned from a directory that should not be). An Access Decision might be called `ONCE` for access to a resource or it might get called `PRIOR` and then `POST` access to a resource. `ONCE` and `PRIOR` determine if the resource can be accessed; `POST` determines if what is being returned from the resource may be returned.

Field Summary
`static Direction` | `ONCE` Indicates that the authorization check is being performed once, with no indication of whether it is being done before or after an operation.
`static Direction` | `POST` Indicates that the authorization check is being peformed after the request has been allowed to be processed, but before the results have been returned.
`static Direction` | `PRIOR` Indicates that the authorization check is being performed prior to allowing the request to be processed.

Method Summary
`String` | `toString()` Returns this `Direction`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ONCE

    public static final Direction ONCE

  Indicates that the authorization check is being performed once, with no indication of whether it is being done before or after an operation. (Implementation details determine when the authorization check is performed.) Currently, containers only call the `isAccessAllowed` method using a `Direction` of `ONCE`.

### PRIOR

    public static final Direction PRIOR

  Indicates that the authorization check is being performed prior to allowing the request to be processed.

### POST

    public static final Direction POST

  Indicates that the authorization check is being peformed after the request has been allowed to be processed, but before the results have been returned.

Method Detail

### toString

    public String toString()

  Returns this `Direction`, represented as a String.

  Overrides:
    `toString` in class `Object`
  Returns:
    this `Direction`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD